chmod +x files/adb-linux


# CHECK ROOT PERMISSIONS

sudo files/adb-linux shell su -c "cat /dev/block/mmcblk0p4 > /data/local/tmp/check-root"
sudo files/adb-linux pull /data/local/tmp/check-root check-root
sudo files/adb-linux shell rm /data/local/tmp/check-root
if [ ! -f check-root ]; then
echo  && echo ERROR: Check ROOT permissions.
echo  && echo Press ENTER to close this window...
read x
exit
fi
rm -f check-root


# INSTALL B176 BOOT.IMG

sudo files/adb-linux push files/boot.img /data/local/tmp/boot.img
sudo files/adb-linux shell su -c "dd if=/data/local/tmp/boot.img of=/dev/block/mmcblk0p12"
sudo files/adb-linux shell rm /data/local/tmp/boot.img
echo  && echo B176 boot.img installed.
echo  && echo Restarting system...
sudo files/adb-linux reboot
sudo files/adb-linux kill-server
